﻿using Core.Data;
using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WebApplication2
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            var v = ValidateHelp.BeginEntity<PumpCodeEntity>()
                .IsNullOrEmpty(Request["tybh"], "统一编号", "未找到需要修改的数据")
                .IsInt(Request["zldm"], "指令代码", "指令代码错误")
                .IsInt(Request["sfyx"], "是否有效", "有效指令错误")
                .IsNullOrEmpty(Request["bz"], "备注");
            if (v.IsInValid)
            {
                Response.Write(v.Message);
            }
            else
            {
                Response.Write("验证通过");
            }
        }
    }
}